IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network2.204.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
- Network address
2.204.0.0- Broadcast address
2.207.255.255- First usable
2.204.0.1- Last usable
2.207.255.254- Usable hosts
- 262,142 (262,144 less the network and broadcast addresses)
- Subnet mask
255.252.0.0- Wildcard mask
0.3.255.255(Cisco ACLs, OSPF)- Prefix length
- /14
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
02CC0000· Integer46923776to47185919 - Reverse DNS zones
204.2.in-addr.arpa205.2.in-addr.arpa206.2.in-addr.arpa207.2.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000010.11001100.00000000.00000000 | 2.204.0.0 |
| Subnet mask | 11111111.11111100.00000000.00000000 | 255.252.0.0 |
| Network | 00000010.11001100.00000000.00000000 | 2.204.0.0 |
| Broadcast | 00000010.11001111.11111111.11111111 | 2.207.255.255 |
Split into smaller subnets
/15 (2)/16 (4)/17 (8)/18 (16)/19 (32)/20 (64)/21 (128)/22 (256)/23 (512)/24 (1,024)/25 (2,048)/26 (4,096)
2.204.0.0/14 makes 256 subnets of /22.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 2.204.0.0/22 | 2.204.0.1 to 2.204.3.254 | 2.204.3.255 | 1,022 |
| 2 | 2.204.4.0/22 | 2.204.4.1 to 2.204.7.254 | 2.204.7.255 | 1,022 |
| 3 | 2.204.8.0/22 | 2.204.8.1 to 2.204.11.254 | 2.204.11.255 | 1,022 |
| 4 | 2.204.12.0/22 | 2.204.12.1 to 2.204.15.254 | 2.204.15.255 | 1,022 |
| 5 | 2.204.16.0/22 | 2.204.16.1 to 2.204.19.254 | 2.204.19.255 | 1,022 |
| 6 | 2.204.20.0/22 | 2.204.20.1 to 2.204.23.254 | 2.204.23.255 | 1,022 |
| 7 | 2.204.24.0/22 | 2.204.24.1 to 2.204.27.254 | 2.204.27.255 | 1,022 |
| 8 | 2.204.28.0/22 | 2.204.28.1 to 2.204.31.254 | 2.204.31.255 | 1,022 |
| 9 | 2.204.32.0/22 | 2.204.32.1 to 2.204.35.254 | 2.204.35.255 | 1,022 |
| 10 | 2.204.36.0/22 | 2.204.36.1 to 2.204.39.254 | 2.204.39.255 | 1,022 |
| 11 | 2.204.40.0/22 | 2.204.40.1 to 2.204.43.254 | 2.204.43.255 | 1,022 |
| 12 | 2.204.44.0/22 | 2.204.44.1 to 2.204.47.254 | 2.204.47.255 | 1,022 |
| 13 | 2.204.48.0/22 | 2.204.48.1 to 2.204.51.254 | 2.204.51.255 | 1,022 |
| 14 | 2.204.52.0/22 | 2.204.52.1 to 2.204.55.254 | 2.204.55.255 | 1,022 |
| 15 | 2.204.56.0/22 | 2.204.56.1 to 2.204.59.254 | 2.204.59.255 | 1,022 |
| 16 | 2.204.60.0/22 | 2.204.60.1 to 2.204.63.254 | 2.204.63.255 | 1,022 |
| 17 | 2.204.64.0/22 | 2.204.64.1 to 2.204.67.254 | 2.204.67.255 | 1,022 |
| 18 | 2.204.68.0/22 | 2.204.68.1 to 2.204.71.254 | 2.204.71.255 | 1,022 |
| 19 | 2.204.72.0/22 | 2.204.72.1 to 2.204.75.254 | 2.204.75.255 | 1,022 |
| 20 | 2.204.76.0/22 | 2.204.76.1 to 2.204.79.254 | 2.204.79.255 | 1,022 |
| 21 | 2.204.80.0/22 | 2.204.80.1 to 2.204.83.254 | 2.204.83.255 | 1,022 |
| 22 | 2.204.84.0/22 | 2.204.84.1 to 2.204.87.254 | 2.204.87.255 | 1,022 |
| 23 | 2.204.88.0/22 | 2.204.88.1 to 2.204.91.254 | 2.204.91.255 | 1,022 |
| 24 | 2.204.92.0/22 | 2.204.92.1 to 2.204.95.254 | 2.204.95.255 | 1,022 |
| 25 | 2.204.96.0/22 | 2.204.96.1 to 2.204.99.254 | 2.204.99.255 | 1,022 |
| 26 | 2.204.100.0/22 | 2.204.100.1 to 2.204.103.254 | 2.204.103.255 | 1,022 |
| 27 | 2.204.104.0/22 | 2.204.104.1 to 2.204.107.254 | 2.204.107.255 | 1,022 |
| 28 | 2.204.108.0/22 | 2.204.108.1 to 2.204.111.254 | 2.204.111.255 | 1,022 |
| 29 | 2.204.112.0/22 | 2.204.112.1 to 2.204.115.254 | 2.204.115.255 | 1,022 |
| 30 | 2.204.116.0/22 | 2.204.116.1 to 2.204.119.254 | 2.204.119.255 | 1,022 |
| 31 | 2.204.120.0/22 | 2.204.120.1 to 2.204.123.254 | 2.204.123.255 | 1,022 |
| 32 | 2.204.124.0/22 | 2.204.124.1 to 2.204.127.254 | 2.204.127.255 | 1,022 |
| 33 | 2.204.128.0/22 | 2.204.128.1 to 2.204.131.254 | 2.204.131.255 | 1,022 |
| 34 | 2.204.132.0/22 | 2.204.132.1 to 2.204.135.254 | 2.204.135.255 | 1,022 |
| 35 | 2.204.136.0/22 | 2.204.136.1 to 2.204.139.254 | 2.204.139.255 | 1,022 |
| 36 | 2.204.140.0/22 | 2.204.140.1 to 2.204.143.254 | 2.204.143.255 | 1,022 |
| 37 | 2.204.144.0/22 | 2.204.144.1 to 2.204.147.254 | 2.204.147.255 | 1,022 |
| 38 | 2.204.148.0/22 | 2.204.148.1 to 2.204.151.254 | 2.204.151.255 | 1,022 |
| 39 | 2.204.152.0/22 | 2.204.152.1 to 2.204.155.254 | 2.204.155.255 | 1,022 |
| 40 | 2.204.156.0/22 | 2.204.156.1 to 2.204.159.254 | 2.204.159.255 | 1,022 |
| 41 | 2.204.160.0/22 | 2.204.160.1 to 2.204.163.254 | 2.204.163.255 | 1,022 |
| 42 | 2.204.164.0/22 | 2.204.164.1 to 2.204.167.254 | 2.204.167.255 | 1,022 |
| 43 | 2.204.168.0/22 | 2.204.168.1 to 2.204.171.254 | 2.204.171.255 | 1,022 |
| 44 | 2.204.172.0/22 | 2.204.172.1 to 2.204.175.254 | 2.204.175.255 | 1,022 |
| 45 | 2.204.176.0/22 | 2.204.176.1 to 2.204.179.254 | 2.204.179.255 | 1,022 |
| 46 | 2.204.180.0/22 | 2.204.180.1 to 2.204.183.254 | 2.204.183.255 | 1,022 |
| 47 | 2.204.184.0/22 | 2.204.184.1 to 2.204.187.254 | 2.204.187.255 | 1,022 |
| 48 | 2.204.188.0/22 | 2.204.188.1 to 2.204.191.254 | 2.204.191.255 | 1,022 |
| 49 | 2.204.192.0/22 | 2.204.192.1 to 2.204.195.254 | 2.204.195.255 | 1,022 |
| 50 | 2.204.196.0/22 | 2.204.196.1 to 2.204.199.254 | 2.204.199.255 | 1,022 |
| 51 | 2.204.200.0/22 | 2.204.200.1 to 2.204.203.254 | 2.204.203.255 | 1,022 |
| 52 | 2.204.204.0/22 | 2.204.204.1 to 2.204.207.254 | 2.204.207.255 | 1,022 |
| 53 | 2.204.208.0/22 | 2.204.208.1 to 2.204.211.254 | 2.204.211.255 | 1,022 |
| 54 | 2.204.212.0/22 | 2.204.212.1 to 2.204.215.254 | 2.204.215.255 | 1,022 |
| 55 | 2.204.216.0/22 | 2.204.216.1 to 2.204.219.254 | 2.204.219.255 | 1,022 |
| 56 | 2.204.220.0/22 | 2.204.220.1 to 2.204.223.254 | 2.204.223.255 | 1,022 |
| 57 | 2.204.224.0/22 | 2.204.224.1 to 2.204.227.254 | 2.204.227.255 | 1,022 |
| 58 | 2.204.228.0/22 | 2.204.228.1 to 2.204.231.254 | 2.204.231.255 | 1,022 |
| 59 | 2.204.232.0/22 | 2.204.232.1 to 2.204.235.254 | 2.204.235.255 | 1,022 |
| 60 | 2.204.236.0/22 | 2.204.236.1 to 2.204.239.254 | 2.204.239.255 | 1,022 |
| 61 | 2.204.240.0/22 | 2.204.240.1 to 2.204.243.254 | 2.204.243.255 | 1,022 |
| 62 | 2.204.244.0/22 | 2.204.244.1 to 2.204.247.254 | 2.204.247.255 | 1,022 |
| 63 | 2.204.248.0/22 | 2.204.248.1 to 2.204.251.254 | 2.204.251.255 | 1,022 |
| 64 | 2.204.252.0/22 | 2.204.252.1 to 2.204.255.254 | 2.204.255.255 | 1,022 |
| 65 | 2.205.0.0/22 | 2.205.0.1 to 2.205.3.254 | 2.205.3.255 | 1,022 |
| 66 | 2.205.4.0/22 | 2.205.4.1 to 2.205.7.254 | 2.205.7.255 | 1,022 |
| 67 | 2.205.8.0/22 | 2.205.8.1 to 2.205.11.254 | 2.205.11.255 | 1,022 |
| 68 | 2.205.12.0/22 | 2.205.12.1 to 2.205.15.254 | 2.205.15.255 | 1,022 |
| 69 | 2.205.16.0/22 | 2.205.16.1 to 2.205.19.254 | 2.205.19.255 | 1,022 |
| 70 | 2.205.20.0/22 | 2.205.20.1 to 2.205.23.254 | 2.205.23.255 | 1,022 |
| 71 | 2.205.24.0/22 | 2.205.24.1 to 2.205.27.254 | 2.205.27.255 | 1,022 |
| 72 | 2.205.28.0/22 | 2.205.28.1 to 2.205.31.254 | 2.205.31.255 | 1,022 |
| 73 | 2.205.32.0/22 | 2.205.32.1 to 2.205.35.254 | 2.205.35.255 | 1,022 |
| 74 | 2.205.36.0/22 | 2.205.36.1 to 2.205.39.254 | 2.205.39.255 | 1,022 |
| 75 | 2.205.40.0/22 | 2.205.40.1 to 2.205.43.254 | 2.205.43.255 | 1,022 |
| 76 | 2.205.44.0/22 | 2.205.44.1 to 2.205.47.254 | 2.205.47.255 | 1,022 |
| 77 | 2.205.48.0/22 | 2.205.48.1 to 2.205.51.254 | 2.205.51.255 | 1,022 |
| 78 | 2.205.52.0/22 | 2.205.52.1 to 2.205.55.254 | 2.205.55.255 | 1,022 |
| 79 | 2.205.56.0/22 | 2.205.56.1 to 2.205.59.254 | 2.205.59.255 | 1,022 |
| 80 | 2.205.60.0/22 | 2.205.60.1 to 2.205.63.254 | 2.205.63.255 | 1,022 |
| 81 | 2.205.64.0/22 | 2.205.64.1 to 2.205.67.254 | 2.205.67.255 | 1,022 |
| 82 | 2.205.68.0/22 | 2.205.68.1 to 2.205.71.254 | 2.205.71.255 | 1,022 |
| 83 | 2.205.72.0/22 | 2.205.72.1 to 2.205.75.254 | 2.205.75.255 | 1,022 |
| 84 | 2.205.76.0/22 | 2.205.76.1 to 2.205.79.254 | 2.205.79.255 | 1,022 |
| 85 | 2.205.80.0/22 | 2.205.80.1 to 2.205.83.254 | 2.205.83.255 | 1,022 |
| 86 | 2.205.84.0/22 | 2.205.84.1 to 2.205.87.254 | 2.205.87.255 | 1,022 |
| 87 | 2.205.88.0/22 | 2.205.88.1 to 2.205.91.254 | 2.205.91.255 | 1,022 |
| 88 | 2.205.92.0/22 | 2.205.92.1 to 2.205.95.254 | 2.205.95.255 | 1,022 |
| 89 | 2.205.96.0/22 | 2.205.96.1 to 2.205.99.254 | 2.205.99.255 | 1,022 |
| 90 | 2.205.100.0/22 | 2.205.100.1 to 2.205.103.254 | 2.205.103.255 | 1,022 |
| 91 | 2.205.104.0/22 | 2.205.104.1 to 2.205.107.254 | 2.205.107.255 | 1,022 |
| 92 | 2.205.108.0/22 | 2.205.108.1 to 2.205.111.254 | 2.205.111.255 | 1,022 |
| 93 | 2.205.112.0/22 | 2.205.112.1 to 2.205.115.254 | 2.205.115.255 | 1,022 |
| 94 | 2.205.116.0/22 | 2.205.116.1 to 2.205.119.254 | 2.205.119.255 | 1,022 |
| 95 | 2.205.120.0/22 | 2.205.120.1 to 2.205.123.254 | 2.205.123.255 | 1,022 |
| 96 | 2.205.124.0/22 | 2.205.124.1 to 2.205.127.254 | 2.205.127.255 | 1,022 |
| 97 | 2.205.128.0/22 | 2.205.128.1 to 2.205.131.254 | 2.205.131.255 | 1,022 |
| 98 | 2.205.132.0/22 | 2.205.132.1 to 2.205.135.254 | 2.205.135.255 | 1,022 |
| 99 | 2.205.136.0/22 | 2.205.136.1 to 2.205.139.254 | 2.205.139.255 | 1,022 |
| 100 | 2.205.140.0/22 | 2.205.140.1 to 2.205.143.254 | 2.205.143.255 | 1,022 |
| 101 | 2.205.144.0/22 | 2.205.144.1 to 2.205.147.254 | 2.205.147.255 | 1,022 |
| 102 | 2.205.148.0/22 | 2.205.148.1 to 2.205.151.254 | 2.205.151.255 | 1,022 |
| 103 | 2.205.152.0/22 | 2.205.152.1 to 2.205.155.254 | 2.205.155.255 | 1,022 |
| 104 | 2.205.156.0/22 | 2.205.156.1 to 2.205.159.254 | 2.205.159.255 | 1,022 |
| 105 | 2.205.160.0/22 | 2.205.160.1 to 2.205.163.254 | 2.205.163.255 | 1,022 |
| 106 | 2.205.164.0/22 | 2.205.164.1 to 2.205.167.254 | 2.205.167.255 | 1,022 |
| 107 | 2.205.168.0/22 | 2.205.168.1 to 2.205.171.254 | 2.205.171.255 | 1,022 |
| 108 | 2.205.172.0/22 | 2.205.172.1 to 2.205.175.254 | 2.205.175.255 | 1,022 |
| 109 | 2.205.176.0/22 | 2.205.176.1 to 2.205.179.254 | 2.205.179.255 | 1,022 |
| 110 | 2.205.180.0/22 | 2.205.180.1 to 2.205.183.254 | 2.205.183.255 | 1,022 |
| 111 | 2.205.184.0/22 | 2.205.184.1 to 2.205.187.254 | 2.205.187.255 | 1,022 |
| 112 | 2.205.188.0/22 | 2.205.188.1 to 2.205.191.254 | 2.205.191.255 | 1,022 |
| 113 | 2.205.192.0/22 | 2.205.192.1 to 2.205.195.254 | 2.205.195.255 | 1,022 |
| 114 | 2.205.196.0/22 | 2.205.196.1 to 2.205.199.254 | 2.205.199.255 | 1,022 |
| 115 | 2.205.200.0/22 | 2.205.200.1 to 2.205.203.254 | 2.205.203.255 | 1,022 |
| 116 | 2.205.204.0/22 | 2.205.204.1 to 2.205.207.254 | 2.205.207.255 | 1,022 |
| 117 | 2.205.208.0/22 | 2.205.208.1 to 2.205.211.254 | 2.205.211.255 | 1,022 |
| 118 | 2.205.212.0/22 | 2.205.212.1 to 2.205.215.254 | 2.205.215.255 | 1,022 |
| 119 | 2.205.216.0/22 | 2.205.216.1 to 2.205.219.254 | 2.205.219.255 | 1,022 |
| 120 | 2.205.220.0/22 | 2.205.220.1 to 2.205.223.254 | 2.205.223.255 | 1,022 |
| 121 | 2.205.224.0/22 | 2.205.224.1 to 2.205.227.254 | 2.205.227.255 | 1,022 |
| 122 | 2.205.228.0/22 | 2.205.228.1 to 2.205.231.254 | 2.205.231.255 | 1,022 |
| 123 | 2.205.232.0/22 | 2.205.232.1 to 2.205.235.254 | 2.205.235.255 | 1,022 |
| 124 | 2.205.236.0/22 | 2.205.236.1 to 2.205.239.254 | 2.205.239.255 | 1,022 |
| 125 | 2.205.240.0/22 | 2.205.240.1 to 2.205.243.254 | 2.205.243.255 | 1,022 |
| 126 | 2.205.244.0/22 | 2.205.244.1 to 2.205.247.254 | 2.205.247.255 | 1,022 |
| 127 | 2.205.248.0/22 | 2.205.248.1 to 2.205.251.254 | 2.205.251.255 | 1,022 |
| 128 | 2.205.252.0/22 | 2.205.252.1 to 2.205.255.254 | 2.205.255.255 | 1,022 |
| 129 | 2.206.0.0/22 | 2.206.0.1 to 2.206.3.254 | 2.206.3.255 | 1,022 |
| 130 | 2.206.4.0/22 | 2.206.4.1 to 2.206.7.254 | 2.206.7.255 | 1,022 |
| 131 | 2.206.8.0/22 | 2.206.8.1 to 2.206.11.254 | 2.206.11.255 | 1,022 |
| 132 | 2.206.12.0/22 | 2.206.12.1 to 2.206.15.254 | 2.206.15.255 | 1,022 |
| 133 | 2.206.16.0/22 | 2.206.16.1 to 2.206.19.254 | 2.206.19.255 | 1,022 |
| 134 | 2.206.20.0/22 | 2.206.20.1 to 2.206.23.254 | 2.206.23.255 | 1,022 |
| 135 | 2.206.24.0/22 | 2.206.24.1 to 2.206.27.254 | 2.206.27.255 | 1,022 |
| 136 | 2.206.28.0/22 | 2.206.28.1 to 2.206.31.254 | 2.206.31.255 | 1,022 |
| 137 | 2.206.32.0/22 | 2.206.32.1 to 2.206.35.254 | 2.206.35.255 | 1,022 |
| 138 | 2.206.36.0/22 | 2.206.36.1 to 2.206.39.254 | 2.206.39.255 | 1,022 |
| 139 | 2.206.40.0/22 | 2.206.40.1 to 2.206.43.254 | 2.206.43.255 | 1,022 |
| 140 | 2.206.44.0/22 | 2.206.44.1 to 2.206.47.254 | 2.206.47.255 | 1,022 |
| 141 | 2.206.48.0/22 | 2.206.48.1 to 2.206.51.254 | 2.206.51.255 | 1,022 |
| 142 | 2.206.52.0/22 | 2.206.52.1 to 2.206.55.254 | 2.206.55.255 | 1,022 |
| 143 | 2.206.56.0/22 | 2.206.56.1 to 2.206.59.254 | 2.206.59.255 | 1,022 |
| 144 | 2.206.60.0/22 | 2.206.60.1 to 2.206.63.254 | 2.206.63.255 | 1,022 |
| 145 | 2.206.64.0/22 | 2.206.64.1 to 2.206.67.254 | 2.206.67.255 | 1,022 |
| 146 | 2.206.68.0/22 | 2.206.68.1 to 2.206.71.254 | 2.206.71.255 | 1,022 |
| 147 | 2.206.72.0/22 | 2.206.72.1 to 2.206.75.254 | 2.206.75.255 | 1,022 |
| 148 | 2.206.76.0/22 | 2.206.76.1 to 2.206.79.254 | 2.206.79.255 | 1,022 |
| 149 | 2.206.80.0/22 | 2.206.80.1 to 2.206.83.254 | 2.206.83.255 | 1,022 |
| 150 | 2.206.84.0/22 | 2.206.84.1 to 2.206.87.254 | 2.206.87.255 | 1,022 |
| 151 | 2.206.88.0/22 | 2.206.88.1 to 2.206.91.254 | 2.206.91.255 | 1,022 |
| 152 | 2.206.92.0/22 | 2.206.92.1 to 2.206.95.254 | 2.206.95.255 | 1,022 |
| 153 | 2.206.96.0/22 | 2.206.96.1 to 2.206.99.254 | 2.206.99.255 | 1,022 |
| 154 | 2.206.100.0/22 | 2.206.100.1 to 2.206.103.254 | 2.206.103.255 | 1,022 |
| 155 | 2.206.104.0/22 | 2.206.104.1 to 2.206.107.254 | 2.206.107.255 | 1,022 |
| 156 | 2.206.108.0/22 | 2.206.108.1 to 2.206.111.254 | 2.206.111.255 | 1,022 |
| 157 | 2.206.112.0/22 | 2.206.112.1 to 2.206.115.254 | 2.206.115.255 | 1,022 |
| 158 | 2.206.116.0/22 | 2.206.116.1 to 2.206.119.254 | 2.206.119.255 | 1,022 |
| 159 | 2.206.120.0/22 | 2.206.120.1 to 2.206.123.254 | 2.206.123.255 | 1,022 |
| 160 | 2.206.124.0/22 | 2.206.124.1 to 2.206.127.254 | 2.206.127.255 | 1,022 |
| 161 | 2.206.128.0/22 | 2.206.128.1 to 2.206.131.254 | 2.206.131.255 | 1,022 |
| 162 | 2.206.132.0/22 | 2.206.132.1 to 2.206.135.254 | 2.206.135.255 | 1,022 |
| 163 | 2.206.136.0/22 | 2.206.136.1 to 2.206.139.254 | 2.206.139.255 | 1,022 |
| 164 | 2.206.140.0/22 | 2.206.140.1 to 2.206.143.254 | 2.206.143.255 | 1,022 |
| 165 | 2.206.144.0/22 | 2.206.144.1 to 2.206.147.254 | 2.206.147.255 | 1,022 |
| 166 | 2.206.148.0/22 | 2.206.148.1 to 2.206.151.254 | 2.206.151.255 | 1,022 |
| 167 | 2.206.152.0/22 | 2.206.152.1 to 2.206.155.254 | 2.206.155.255 | 1,022 |
| 168 | 2.206.156.0/22 | 2.206.156.1 to 2.206.159.254 | 2.206.159.255 | 1,022 |
| 169 | 2.206.160.0/22 | 2.206.160.1 to 2.206.163.254 | 2.206.163.255 | 1,022 |
| 170 | 2.206.164.0/22 | 2.206.164.1 to 2.206.167.254 | 2.206.167.255 | 1,022 |
| 171 | 2.206.168.0/22 | 2.206.168.1 to 2.206.171.254 | 2.206.171.255 | 1,022 |
| 172 | 2.206.172.0/22 | 2.206.172.1 to 2.206.175.254 | 2.206.175.255 | 1,022 |
| 173 | 2.206.176.0/22 | 2.206.176.1 to 2.206.179.254 | 2.206.179.255 | 1,022 |
| 174 | 2.206.180.0/22 | 2.206.180.1 to 2.206.183.254 | 2.206.183.255 | 1,022 |
| 175 | 2.206.184.0/22 | 2.206.184.1 to 2.206.187.254 | 2.206.187.255 | 1,022 |
| 176 | 2.206.188.0/22 | 2.206.188.1 to 2.206.191.254 | 2.206.191.255 | 1,022 |
| 177 | 2.206.192.0/22 | 2.206.192.1 to 2.206.195.254 | 2.206.195.255 | 1,022 |
| 178 | 2.206.196.0/22 | 2.206.196.1 to 2.206.199.254 | 2.206.199.255 | 1,022 |
| 179 | 2.206.200.0/22 | 2.206.200.1 to 2.206.203.254 | 2.206.203.255 | 1,022 |
| 180 | 2.206.204.0/22 | 2.206.204.1 to 2.206.207.254 | 2.206.207.255 | 1,022 |
| 181 | 2.206.208.0/22 | 2.206.208.1 to 2.206.211.254 | 2.206.211.255 | 1,022 |
| 182 | 2.206.212.0/22 | 2.206.212.1 to 2.206.215.254 | 2.206.215.255 | 1,022 |
| 183 | 2.206.216.0/22 | 2.206.216.1 to 2.206.219.254 | 2.206.219.255 | 1,022 |
| 184 | 2.206.220.0/22 | 2.206.220.1 to 2.206.223.254 | 2.206.223.255 | 1,022 |
| 185 | 2.206.224.0/22 | 2.206.224.1 to 2.206.227.254 | 2.206.227.255 | 1,022 |
| 186 | 2.206.228.0/22 | 2.206.228.1 to 2.206.231.254 | 2.206.231.255 | 1,022 |
| 187 | 2.206.232.0/22 | 2.206.232.1 to 2.206.235.254 | 2.206.235.255 | 1,022 |
| 188 | 2.206.236.0/22 | 2.206.236.1 to 2.206.239.254 | 2.206.239.255 | 1,022 |
| 189 | 2.206.240.0/22 | 2.206.240.1 to 2.206.243.254 | 2.206.243.255 | 1,022 |
| 190 | 2.206.244.0/22 | 2.206.244.1 to 2.206.247.254 | 2.206.247.255 | 1,022 |
| 191 | 2.206.248.0/22 | 2.206.248.1 to 2.206.251.254 | 2.206.251.255 | 1,022 |
| 192 | 2.206.252.0/22 | 2.206.252.1 to 2.206.255.254 | 2.206.255.255 | 1,022 |
| 193 | 2.207.0.0/22 | 2.207.0.1 to 2.207.3.254 | 2.207.3.255 | 1,022 |
| 194 | 2.207.4.0/22 | 2.207.4.1 to 2.207.7.254 | 2.207.7.255 | 1,022 |
| 195 | 2.207.8.0/22 | 2.207.8.1 to 2.207.11.254 | 2.207.11.255 | 1,022 |
| 196 | 2.207.12.0/22 | 2.207.12.1 to 2.207.15.254 | 2.207.15.255 | 1,022 |
| 197 | 2.207.16.0/22 | 2.207.16.1 to 2.207.19.254 | 2.207.19.255 | 1,022 |
| 198 | 2.207.20.0/22 | 2.207.20.1 to 2.207.23.254 | 2.207.23.255 | 1,022 |
| 199 | 2.207.24.0/22 | 2.207.24.1 to 2.207.27.254 | 2.207.27.255 | 1,022 |
| 200 | 2.207.28.0/22 | 2.207.28.1 to 2.207.31.254 | 2.207.31.255 | 1,022 |
| 201 | 2.207.32.0/22 | 2.207.32.1 to 2.207.35.254 | 2.207.35.255 | 1,022 |
| 202 | 2.207.36.0/22 | 2.207.36.1 to 2.207.39.254 | 2.207.39.255 | 1,022 |
| 203 | 2.207.40.0/22 | 2.207.40.1 to 2.207.43.254 | 2.207.43.255 | 1,022 |
| 204 | 2.207.44.0/22 | 2.207.44.1 to 2.207.47.254 | 2.207.47.255 | 1,022 |
| 205 | 2.207.48.0/22 | 2.207.48.1 to 2.207.51.254 | 2.207.51.255 | 1,022 |
| 206 | 2.207.52.0/22 | 2.207.52.1 to 2.207.55.254 | 2.207.55.255 | 1,022 |
| 207 | 2.207.56.0/22 | 2.207.56.1 to 2.207.59.254 | 2.207.59.255 | 1,022 |
| 208 | 2.207.60.0/22 | 2.207.60.1 to 2.207.63.254 | 2.207.63.255 | 1,022 |
| 209 | 2.207.64.0/22 | 2.207.64.1 to 2.207.67.254 | 2.207.67.255 | 1,022 |
| 210 | 2.207.68.0/22 | 2.207.68.1 to 2.207.71.254 | 2.207.71.255 | 1,022 |
| 211 | 2.207.72.0/22 | 2.207.72.1 to 2.207.75.254 | 2.207.75.255 | 1,022 |
| 212 | 2.207.76.0/22 | 2.207.76.1 to 2.207.79.254 | 2.207.79.255 | 1,022 |
| 213 | 2.207.80.0/22 | 2.207.80.1 to 2.207.83.254 | 2.207.83.255 | 1,022 |
| 214 | 2.207.84.0/22 | 2.207.84.1 to 2.207.87.254 | 2.207.87.255 | 1,022 |
| 215 | 2.207.88.0/22 | 2.207.88.1 to 2.207.91.254 | 2.207.91.255 | 1,022 |
| 216 | 2.207.92.0/22 | 2.207.92.1 to 2.207.95.254 | 2.207.95.255 | 1,022 |
| 217 | 2.207.96.0/22 | 2.207.96.1 to 2.207.99.254 | 2.207.99.255 | 1,022 |
| 218 | 2.207.100.0/22 | 2.207.100.1 to 2.207.103.254 | 2.207.103.255 | 1,022 |
| 219 | 2.207.104.0/22 | 2.207.104.1 to 2.207.107.254 | 2.207.107.255 | 1,022 |
| 220 | 2.207.108.0/22 | 2.207.108.1 to 2.207.111.254 | 2.207.111.255 | 1,022 |
| 221 | 2.207.112.0/22 | 2.207.112.1 to 2.207.115.254 | 2.207.115.255 | 1,022 |
| 222 | 2.207.116.0/22 | 2.207.116.1 to 2.207.119.254 | 2.207.119.255 | 1,022 |
| 223 | 2.207.120.0/22 | 2.207.120.1 to 2.207.123.254 | 2.207.123.255 | 1,022 |
| 224 | 2.207.124.0/22 | 2.207.124.1 to 2.207.127.254 | 2.207.127.255 | 1,022 |
| 225 | 2.207.128.0/22 | 2.207.128.1 to 2.207.131.254 | 2.207.131.255 | 1,022 |
| 226 | 2.207.132.0/22 | 2.207.132.1 to 2.207.135.254 | 2.207.135.255 | 1,022 |
| 227 | 2.207.136.0/22 | 2.207.136.1 to 2.207.139.254 | 2.207.139.255 | 1,022 |
| 228 | 2.207.140.0/22 | 2.207.140.1 to 2.207.143.254 | 2.207.143.255 | 1,022 |
| 229 | 2.207.144.0/22 | 2.207.144.1 to 2.207.147.254 | 2.207.147.255 | 1,022 |
| 230 | 2.207.148.0/22 | 2.207.148.1 to 2.207.151.254 | 2.207.151.255 | 1,022 |
| 231 | 2.207.152.0/22 | 2.207.152.1 to 2.207.155.254 | 2.207.155.255 | 1,022 |
| 232 | 2.207.156.0/22 | 2.207.156.1 to 2.207.159.254 | 2.207.159.255 | 1,022 |
| 233 | 2.207.160.0/22 | 2.207.160.1 to 2.207.163.254 | 2.207.163.255 | 1,022 |
| 234 | 2.207.164.0/22 | 2.207.164.1 to 2.207.167.254 | 2.207.167.255 | 1,022 |
| 235 | 2.207.168.0/22 | 2.207.168.1 to 2.207.171.254 | 2.207.171.255 | 1,022 |
| 236 | 2.207.172.0/22 | 2.207.172.1 to 2.207.175.254 | 2.207.175.255 | 1,022 |
| 237 | 2.207.176.0/22 | 2.207.176.1 to 2.207.179.254 | 2.207.179.255 | 1,022 |
| 238 | 2.207.180.0/22 | 2.207.180.1 to 2.207.183.254 | 2.207.183.255 | 1,022 |
| 239 | 2.207.184.0/22 | 2.207.184.1 to 2.207.187.254 | 2.207.187.255 | 1,022 |
| 240 | 2.207.188.0/22 | 2.207.188.1 to 2.207.191.254 | 2.207.191.255 | 1,022 |
| 241 | 2.207.192.0/22 | 2.207.192.1 to 2.207.195.254 | 2.207.195.255 | 1,022 |
| 242 | 2.207.196.0/22 | 2.207.196.1 to 2.207.199.254 | 2.207.199.255 | 1,022 |
| 243 | 2.207.200.0/22 | 2.207.200.1 to 2.207.203.254 | 2.207.203.255 | 1,022 |
| 244 | 2.207.204.0/22 | 2.207.204.1 to 2.207.207.254 | 2.207.207.255 | 1,022 |
| 245 | 2.207.208.0/22 | 2.207.208.1 to 2.207.211.254 | 2.207.211.255 | 1,022 |
| 246 | 2.207.212.0/22 | 2.207.212.1 to 2.207.215.254 | 2.207.215.255 | 1,022 |
| 247 | 2.207.216.0/22 | 2.207.216.1 to 2.207.219.254 | 2.207.219.255 | 1,022 |
| 248 | 2.207.220.0/22 | 2.207.220.1 to 2.207.223.254 | 2.207.223.255 | 1,022 |
| 249 | 2.207.224.0/22 | 2.207.224.1 to 2.207.227.254 | 2.207.227.255 | 1,022 |
| 250 | 2.207.228.0/22 | 2.207.228.1 to 2.207.231.254 | 2.207.231.255 | 1,022 |
| 251 | 2.207.232.0/22 | 2.207.232.1 to 2.207.235.254 | 2.207.235.255 | 1,022 |
| 252 | 2.207.236.0/22 | 2.207.236.1 to 2.207.239.254 | 2.207.239.255 | 1,022 |
| 253 | 2.207.240.0/22 | 2.207.240.1 to 2.207.243.254 | 2.207.243.255 | 1,022 |
| 254 | 2.207.244.0/22 | 2.207.244.1 to 2.207.247.254 | 2.207.247.255 | 1,022 |
| 255 | 2.207.248.0/22 | 2.207.248.1 to 2.207.251.254 | 2.207.251.255 | 1,022 |
| 256 | 2.207.252.0/22 | 2.207.252.1 to 2.207.255.254 | 2.207.255.255 | 1,022 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |